
From: Davide Libenzi <davidel@xmailserver.org>

CONFIG_EPOLL=n space reduction in struct file.



 include/linux/fs.h |    2 ++
 1 files changed, 2 insertions(+)

diff -puN include/linux/fs.h~CONFIG_EPOLL-file_struct-members include/linux/fs.h
--- 25/include/linux/fs.h~CONFIG_EPOLL-file_struct-members	2003-12-27 12:54:08.000000000 -0800
+++ 25-akpm/include/linux/fs.h	2003-12-27 12:54:08.000000000 -0800
@@ -526,9 +526,11 @@ struct file {
 	/* needed for tty driver, and maybe others */
 	void			*private_data;
 
+#ifdef CONFIG_EPOLL
 	/* Used by fs/eventpoll.c to link all the hooks to this file */
 	struct list_head	f_ep_links;
 	spinlock_t		f_ep_lock;
+#endif /* #ifdef CONFIG_EPOLL */
 	struct address_space	*f_mapping;
 };
 extern spinlock_t files_lock;

_
